DeadDrop - Feature #50
Feature # 20 (Closed): Encrypt database content

Create DB Encryption Migration Tool
10/15/2023 11:03 PM - Sancho Fock

Status: Closed Start date:
Priority: Normal Due date:

Assignee: Sancho Fock % Done:

Category: DB Estimated time:

Target version: 0.4.x

10/19/2023
10/20/2023
100%

16:00 hours

Description

To set or Change an Database Key there must be an administrative tool.
It shall generate a new Key with or without password.

It shall decrypt all contentes if a key was set before

it shall encrypt all content with the new key

it shall change the server configuration

Related issues:
Follows Feature #49: Add Transperent Enryption Layer between dbQuery

Closed 10/18/2023

10/18/2023

History

#1 - 10/15/2023 11:06 PM - Sancho Fock

- Due date set to 10/19/2023

- Start date changed from 10/17/2023 to 10/19/2023

- Follows Feature #49: Add Transperent Enryption Layer between dbQuery added

#2 - 10/15/2023 11:09 PM - Sancho Fock
- Due date changed from 10/19/2023 to 10/23/2023
- Estimated time changed from 8:00 h to 16:00 h

#3 - 10/16/2023 08:38 PM - Sancho Fock

- Status changed from New to In Progress

#4 - 10/16/2023 10:38 PM - Sancho Fock
- % Done changed from 0 to 30

#5 - 10/18/2023 01:03 AM - Sancho Fock
- % Done changed from 30 to 40

#6 - 10/18/2023 02:04 PM - Sancho Fock
- % Done changed from 40 to 50

#7 - 10/19/2023 12:35 AM - Sancho Fock
- % Done changed from 50 to 70

#8 - 10/19/2023 12:00 PM - Sancho Fock
- % Done changed from 70 to 80

#9 - 10/19/2023 03:55 PM - Sancho Fock
- % Done changed from 80 to 90

#10 - 10/20/2023 01:07 AM - Sancho Fock
- Due date changed from 10/23/2023 to 10/20/2023

- Status changed from In Progress to Resolved

03/12/2025

1/2




- % Done changed from 90 to 100

#11 - 10/21/2023 01:24 AM - Sancho Fock

- Status changed from Resolved to Closed

03/12/2025 22
